ServletConfig (Servlet 4.0 API Documentation - Apache Tomcat 9.0.106)
Description: declaration: package: javax.servlet, interface: ServletConfig

# Interface ServletConfig

All Known Implementing Classes:
  `GenericServlet`, `HttpServlet`

public interface ServletConfig
A servlet configuration object used by a servlet container to pass information to a servlet during initialization.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getInitParameter(String name)`
  Returns a `String` containing the value of the named initialization parameter, or `null` if the parameter does not exist.
  `Enumeration<String>`
  `getInitParameterNames()`
  Returns the names of the servlet's initialization parameters as an `Enumeration` of `String` objects, or an empty `Enumeration` if the servlet has no initialization parameters.
  `ServletContext`
  `getServletContext()`
  Returns a reference to the `ServletContext` in which the caller is executing.
  `String`
  `getServletName()`
  Returns the name of this servlet instance.

- ## Method Details

  - ### getServletName

    String getServletName()
    Returns the name of this servlet instance. The name may be provided via server administration, assigned in the web application deployment descriptor, or for an unregistered (and thus unnamed) servlet instance it will be the servlet's class name.
    Returns:
      the name of the servlet instance

  - ### getServletContext

    ServletContext getServletContext()
    Returns a reference to the `ServletContext` in which the caller is executing.
    Returns:
      a `ServletContext` object, used by the caller to interact with its servlet container
    See Also:
      - `ServletContext`

  - ### getInitParameter

    String getInitParameter(String name)
    Returns a `String` containing the value of the named initialization parameter, or `null` if the parameter does not exist.
    Parameters:
      `name` - a `String` specifying the name of the initialization parameter
    Returns:
      a `String` containing the value of the initialization parameter

  - ### getInitParameterNames

    Enumeration<String> getInitParameterNames()
    Returns the names of the servlet's initialization parameters as an `Enumeration` of `String` objects, or an empty `Enumeration` if the servlet has no initialization parameters.
    Returns:
      an `Enumeration` of `String` objects containing the names of the servlet's initialization parameters